"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const readline_1 = __importDefault(require("readline"));
class Question {
    constructor() {
        this._cli = null;
    }
    _createIfNeeded() {
        if (!this._cli) {
            this._cli = readline_1.default.createInterface({
                input: process.stdin,
                output: process.stdout,
            });
        }
    }
    async ask(question, def = "") {
        this._createIfNeeded();
        return new Promise(resolve => {
            this._cli.question(question + " ", name => {
                resolve(name.trim() || def);
            });
        });
    }
    close() {
        if (this._cli) {
            this._cli.close();
            this._cli = null;
        }
    }
}
exports.default = Question;
//# sourceMappingURL=Question.js.map