import type { Migration } from "./Migration";
interface MigrationStep {
    name: string;
    fn: (mig: Migration) => Promise<void>;
    jsx?: boolean;
}
interface JSXMigrationStep extends MigrationStep {
    jsx?: never;
}
interface VersionMigration {
    version: string;
    nextVersion: string;
    aggresive?: string;
    steps: MigrationStep[];
}
interface JSXVersionMigration extends VersionMigration {
    steps: JSXMigrationStep[];
}
declare const migrationsConfig: VersionMigration[];
declare const jsxMigration: JSXVersionMigration;
export { migrationsConfig, jsxMigration };
export type { VersionMigration };
//# sourceMappingURL=migrations.config.d.ts.map